<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ReactJet</title>
  <link href="<?php echo esc_url(plugin_dir_url(__FILE__) . 'includes/bootstrap.min.css');?>" rel="stylesheet"/>
  <link href="<?php echo esc_url(plugin_dir_url(__FILE__) . 'includes/main.css');?>" rel="stylesheet"/>
  <script src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'includes/react.production.min.js');?>"></script>
  <script src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'includes/react-dom.production.min.js');?>"></script>
  <script src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'includes/babel.min.js');?>"></script>
  <script src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'includes/bootstrap.min.js');?>"></script>
</head>

<body>
  <div id="root"></div>
  <script type="text/babel">
    const Setup = ({ state }) => {

      const [accordion, setAccordion] = React.useState([]);
      const [vercel_url, setVercel_url] = React.useState(null);
      const [domain, setDomain] = React.useState(null);
      const [menuId, setMenuId] = React.useState(null);
      const [loader, setLoader] = React.useState(true);
      const [name, setName] = React.useState("");
      const [email, setEmail] = React.useState("");
      const [web_url, setWeb_url] = React.useState("");
      const [theme, setTheme] = React.useState("");
      const [seo, setSeo] = React.useState("");
      const [analytics, setAnalytics] = React.useState("");
      const [gtag, setGtag] = React.useState("");
      const [notification, setNotification] = React.useState("");
      const [contactform, setContactform] = React.useState("");
      const [Pushnotification, setPushnotification] = React.useState("");
      const [full_form_submission_status, setFull_form_submission_status] = React.useState(0);
      const [PushnotificationId, setPushnotificationId] = React.useState(null);
      const [isTagManager, setIsTagManager] = React.useState(0);
      const [tagManagerId, setTagManagerId] = React.useState("");
      const [isAnalytics, setIsAnalytics] = React.useState(0);
      const [analyticsId, setAnalyticsId] = React.useState("");
      const [isAuthorname, setIsAuthorname] = React.useState(0);
      const [isFeaturedIMG, setIsFeaturedIMG] = React.useState(0);
      const [isBreadcrumbs, setIsBreadcrumbs] = React.useState(0);
      const [isPublisheddate, setIsPublisheddate] = React.useState(0);
      const [isShowcomment, setIsShowcomment] = React.useState(0);
      const [isAdd1, setIsAdd1] = React.useState(0);
      const [isAdd2, setIsAdd2] = React.useState(0);
      const [isAdd3, setIsAdd3] = React.useState(0);
      const [isAdd4, setIsAdd4] = React.useState(0);
      const [isAdd5, setIsAdd5] = React.useState(0);
      const [adsdata, setAdsdata] = React.useState({
        size1: null,
        slot1: null,
        clientID1: null,
        size2: null,
        slot2: null,
        clientID2: null,
        size3: null,
        slot3: null,
        clientID3: null,
        size4: null,
        slot4: null,
        clientID4: null,
        size5: null,
        slot5: null,
        clientID5: null
      });

      const [activeIndex, setActiveIndex] = React.useState(null);

      const handleAccordionClick = (index) => {
        setActiveIndex((prevIndex) => (prevIndex === index ? null : index));
      };

      function objectToFormData(obj) {
        const formData = new FormData();

        Object.entries(obj).forEach(([key, value]) => {
          formData.append(key, value);
        });

        return formData;
      }

      const updateAdsdata = (name, value) => {
        setAdsdata(previousState => {
          return { ...previousState, [name]: value }
        });
      }

      const postDataApi = (formstatus) => {
        const data = {
          domain: domain, action: "formdata", full_form_submission_status: formstatus ? formstatus : full_form_submission_status, PushnotificationId, isTagManager, tagManagerId, isAnalytics, analyticsId, isAuthorname, isFeaturedIMG,
          isBreadcrumbs, isPublisheddate, isShowcomment, adsdata: JSON.stringify(adsdata), isAdd1, isAdd2, isAdd3, isAdd4, isAdd5
        }
        var requestOptions = {
          method: 'POST',
          body: objectToFormData(data),
          redirect: 'follow'
        };
        fetch(`https://wpwithreact.com/api.php`, requestOptions)
          .then(response => response.text())
          .then(result => {
            const data = JSON.parse(result);
            if (data.status == 1) {
              setFull_form_submission_status(data.data.full_form_submission_status)
              setVercel_url(data.data.vercel_url)
              setLoader(false)
            } else {
              setLoader(false)
            }
          })
          .catch(error => {
            setLoader(false);
            console.log('error', error)
          }
          );
      }
      const userCheck = (domain) => {
        fetch(`https://wpwithreact.com/api.php?action=DoemainCheck&domain=${domain}`)
          .then(response => response.text())
          .then(result => {
            const data = JSON.parse(result);
            if (data.status == 1) {
              setVercel_url(data.data.vercel_url)
              setAdsdata(JSON.parse(data.data.adsdata));
              setAnalyticsId(data.data.analyticsId)
              setFull_form_submission_status(data.data.full_form_submission_status)
              setIsAdd1(data.data.isAdd1)
              setIsAdd2(data.data.isAdd2)
              setIsAdd3(data.data.isAdd3)
              setIsAdd4(data.data.isAdd4)
              setIsAdd5(data.data.isAdd5)
              setIsAnalytics(data.data.isAnalytics)
              setIsAuthorname(data.data.isAuthorname)
              setIsBreadcrumbs(data.data.isBreadcrumbs)
              setIsFeaturedIMG(data.data.isFeaturedIMG)
              setIsPublisheddate(data.data.isPublisheddate)
              setIsShowcomment(data.data.isShowcomment)
              setIsTagManager(data.data.isTagManager)
              setTagManagerId(data.data.tagManagerId)
              setPushnotificationId(data.data.PushnotificationId)
              setLoader(false)
            } else {
              setLoader(false)
            }
          })
          .catch(error => {
            setLoader(false);
            console.log('error', error)
          }
          );
      }
      React.useEffect(() => {

        const parentDomain = window.location.hostname;
        setDomain(parentDomain)
        userCheck(parentDomain)
      }, []);


      const handleSubmit = (e) => {
        e.preventDefault();
        var formdata = new FormData();
        formdata.append("your-name", name);
        formdata.append("your-email", email);
        formdata.append("url-332", domain);
        formdata.append("your-theme", theme);
        formdata.append("seo", seo);
        formdata.append("google-analytics", analytics);
        formdata.append("google-tag", gtag);
        formdata.append("push-notification", notification);
        formdata.append("contact-form", contactform);

        var requestOptions = {
          method: 'POST',
          body: formdata,
          redirect: 'follow'
        };

        fetch(`https://wpwithreact.com/wp-json/contact-form-7/v1/contact-forms/5811/feedback`, requestOptions)
          .then(response => response.text())
          .then(result => {
            postDataApi(1);
            setFull_form_submission_status(1)
            setName("");
            setEmail("");
            setWeb_url("");
            setTheme("");
            setSeo("");
            setAnalytics("");
            setGtag("");
            setNotification("");
            setContactform("");
          })
          .catch(error => console.log('error', error));
      }
      const handleAccordion = (index) => {
        console.log("hello")
        if (accordion.includes(index)) {
          console.log("hello1")

          var data = accordion.filter(val => val != index);
          setAccordion(data)
        } else {
          console.log("hello2")

          var data = [...accordion];
          data.push(index)
          setAccordion(data)
        }
      }
      return (
        <div class="container plugin_container">
          <div class="plugin_content_box">
            <div class="header_box">
              <img src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'Images/react-jet.png'); ?>" />
              <div> <a class="rj_btn" target="blank" href="https://wpwithreact.com/">Need Help ? </a></div>
            </div>
            <div class="contnet_boxx">
              <ul class="nav nav-tabs">
                <li class=""><a class="active" data-toggle="tab" href="#iframe_view">Setup</a></li>
              </ul>

              <div class="tab-content">
                <div id="iframe_view" class="tab-pane in active">
                  {loader ?
                    <p>Loading...</p> :
                    full_form_submission_status == "3" ?
                      <section className="leavel_2">
                        <div className="wp-container">

                          <div className="wp-cont-inner Form_Level_4">
                            <h1 className="wp-cont-inner-leavel_2-title">ReactJet Settings</h1>

                              <div className="leavel_2_acco">
                              <div className="leavel_2_acco_title" onClick={() => handleAccordion(3)}>
                                <p>Single Post Setting <i class={accordion.includes(3) ? "arrowForm up" : "arrowForm down"}></i></p>
                              </div>
                              <div className={accordion.includes(3) ? "accordion-content active" : "accordion-content"}>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Featured Image</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isFeaturedIMG != 0}
                                      onChange={() => setIsFeaturedIMG((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Author Name</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isAuthorname != 0}
                                      onChange={() => setIsAuthorname((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Published Date</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isPublisheddate != 0}
                                      onChange={() => setIsPublisheddate((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Show Comments</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isShowcomment != 0}
                                      onChange={() => setIsShowcomment((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Breadcrumbs</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isBreadcrumbs != 0}
                                      onChange={() => setIsBreadcrumbs((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                              </div>
                            </div>

                              <div className="leavel_2_acco">
                              <div className="leavel_2_acco_title" onClick={() => handleAccordion(2)}>
                                <p>Primary Analytics Provider <i class={accordion.includes(2) ? "arrowForm up" : "arrowForm down"}></i></p>
                              </div>
                              <div className={accordion.includes(2) ? "accordion-content active" : "accordion-content"}>
                                <div className="leavel_2_form_box">

                                  <label className="leavel_2_form_label">Google Analytics 4</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox" checked={isAnalytics != 0}
                                      onChange={() => setIsAnalytics((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                {isAnalytics != 0 && (
                                  <div className="leavel_2_form_box">
                                    <label className="leavel_2_form_label">Analytics ID</label>
                                    <input
                                      type="text"
                                      value={analyticsId}
                                      onChange={(e) => setAnalyticsId(e.target.value)}
                                    />
                                  </div>
                                )}
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Google Tag Manager</label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox" checked={isTagManager != 0}
                                      onChange={() => setIsTagManager((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                {isTagManager != 0 && (
                                  <div className="leavel_2_form_box">
                                    <label className="leavel_2_form_label">Tag Manager ID (Container ID)</label>
                                    <input
                                      type="text"
                                      value={tagManagerId}
                                      onChange={(e) => setTagManagerId(e.target.value)}
                                    />
                                  </div>
                                )}
                              </div>
                            </div>

                            <div className="leavel_2_acco">
                              <div className="leavel_2_acco_title" onClick={() => handleAccordion(1)}>
                                <p>Push Notification Support <i class={accordion.includes(1) ? "arrowForm up" : "arrowForm down"}></i></p>
                              </div>
                              <div className={accordion.includes(1) ? "accordion-content active" : "accordion-content"}>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">Push Notification</label>
                                  <select
                                    value={Pushnotification}
                                    onChange={(event) => setPushnotification(event.target.value)}
                                  >
                                    <option value="">Select</option>
                                    <option value="one Signal">One Signal</option>
                                    <option value="two Signal">Two Signal</option>
                                    <option value="three Signal">Three Signal</option>
                                  </select>
                                </div>
                                {Pushnotification && (
                                  <div className="leavel_2_form_box">
                                    <label className="leavel_2_form_label m-0">App Id</label>
                                    <input
                                      type="text"
                                      value={PushnotificationId}
                                      onChange={(e) => setPushnotificationId(e.target.value)}
                                    />
                                  </div>
                                )}
                              </div>
                            </div>

                          

                          
                            <div className="leavel_2_acco">
                              <div className="leavel_2_acco_title" onClick={() => handleAccordion(4)}>
                                <p>Advertisement Setup <i class={accordion.includes(4) ? "arrowForm up" : "arrowForm down"}></i></p>
                              </div>
                              <div className={accordion.includes(4) ? "accordion-content active" : "accordion-content"}>
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">AD #1<br /> <small>Below the Header(SiteWide)</small></label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isAdd1 != 0}
                                      onChange={() => setIsAdd1((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                {isAdd1 != 0 && (
                                  <div>

                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">AD Size</label>
                                      <select
                                        value={adsdata != null ? adsdata.size1 : null}
                                        onChange={(e) => updateAdsdata('size1', e.target.value)}
                                      >
                                        <option value="">Select</option>
                                        <option value="970x250">970x250</option>
                                        <option value="728x90">728x90</option>
                                        <option value="320x100">320x100</option>
                                        <option value="320x50">320x50</option>
                                      </select>
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Client</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.clientID1 : null}
                                        onChange={(e) => updateAdsdata('clientID1', e.target.value)}
                                      />
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Slot</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.slot1 : null}
                                        onChange={(e) => updateAdsdata('slot1', e.target.value)}
                                      />
                                    </div>
                                  </div>
                                )}
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">AD #2 <br /> <small>List Sidebar(SiteWide)</small></label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isAdd2 != 0}
                                      onChange={() => setIsAdd2((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                {isAdd2 != 0 && (
                                  <div className="">
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">AD Size</label>
                                      <select
                                        value={adsdata != null ? adsdata.size2 : null}
                                        onChange={(e) => updateAdsdata('size2', e.target.value)}
                                      >
                                        <option value="">Select</option>
                                        <option value='336x280'>336x280</option>
                                        <option value='320x100'>320x100</option>
                                        <option value='300x250'>300x250</option>
                                        <option value='300x600'>300x600</option>
                                        <option value='300x1050'>300x1050</option>
                                        <option value='250x250'>250x250</option>
                                      </select>
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Client</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.clientID2 : null}
                                        onChange={(e) => updateAdsdata('clientID2', e.target.value)}
                                      />
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Slot</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.slot2 : null}
                                        onChange={(e) => updateAdsdata('slot2', e.target.value)}
                                      />
                                    </div>
                                  </div>
                                )}
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">AD #3 <br /><small>Post Sidebar(SiteWide)</small></label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isAdd3 != 0}
                                      onChange={() => setIsAdd3((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>

                                </div>
                                {isAdd3 != 0 && (
                                  <div className="">
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">AD Size</label>
                                      <select
                                        value={adsdata != null ? adsdata.size3 : null}
                                        onChange={(e) => updateAdsdata('size3', e.target.value)}
                                      >
                                        <option value="">Select</option>
                                        <option value='336x280'>336x280</option>
                                        <option value='320x100'>320x100</option>
                                        <option value='300x250'>300x250</option>
                                        <option value='300x600'>300x600</option>
                                        <option value='300x1050'>300x1050</option>
                                        <option value='250x250'>250x250</option>
                                      </select>
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Client</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.clientID3 : null}
                                        onChange={(e) => updateAdsdata('clientID3', e.target.value)}
                                      />
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Slot</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.slot3 : null}
                                        onChange={(e) => updateAdsdata('slot3', e.target.value)}
                                      />
                                    </div>
                                  </div>
                                )}
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">AD #4 <br /><small>Above First Image Inside Post(SiteWide)</small></label>
                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isAdd4 != 0}
                                      onChange={() => setIsAdd4((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>
                                </div>
                                {isAdd4 != 0 && (
                                  <div className="">
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">AD Size</label>
                                      <select
                                        value={adsdata != null ? adsdata.size4 : null}
                                        onChange={(e) => updateAdsdata('size4', e.target.value)}
                                      >
                                        <option value="">Select</option>
                                        <option value='970x250'>970x250</option>
                                        <option value='728x90'>728x90</option>
                                        <option value='336x280'>336x280</option>
                                        <option value='320x100'>320x100</option>
                                        <option value='300x250'>300x250</option>
                                        <option value='250x250'>250x250</option>
                                      </select>
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Client</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.clientID4 : null}
                                        onChange={(e) => updateAdsdata('clientID4', e.target.value)}
                                      />
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Slot</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.slot4 : null}
                                        onChange={(e) => updateAdsdata('slot4', e.target.value)}
                                      />
                                    </div>
                                  </div>
                                )}
                                <div className="leavel_2_form_box">
                                  <label className="leavel_2_form_label">AD #5 <br /><small>Above Fourth Image Inside Post (SiteWide)</small></label>


                                  <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox"
                                      checked={isAdd5 != 0}
                                      onChange={() => setIsAdd5((prevValue) => (prevValue == 1 ? 0 : 1))} />
                                  </div>

                                </div>
                                {isAdd5 != 0 && (
                                  <div className="">
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">AD Size</label>
                                      <select
                                        value={adsdata != null ? adsdata.size5 : null}
                                        onChange={(e) => updateAdsdata('size5', e.target.value)}
                                      >
                                        <option value="">Select</option>
                                        <option value='970x250'>970x250</option>
                                        <option value='728x90'>728x90</option>
                                        <option value='336x280'>336x280</option>
                                        <option value='320x100'>320x100</option>
                                        <option value='300x250'>300x250</option>
                                        <option value='250x250'>250x250</option>
                                      </select>
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Client</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.clientID5 : null}
                                        onChange={(e) => updateAdsdata('clientID5', e.target.value)}
                                      />
                                    </div>
                                    <div className="leavel_2_form_box">
                                      <label className="leavel_2_form_label">Data AD Slot</label>
                                      <input
                                        type="text"
                                        value={adsdata != null ? adsdata.slot5 : null}
                                        onChange={(e) => updateAdsdata('slot5', e.target.value)}
                                      />
                                    </div>
                                  </div>
                                )}

                              </div>
                            </div>


                            <div className="setup-form">
                              <button className="btn" onClick={() => postDataApi(3)} >Save</button>
                            </div>

                          </div>
                        </div>
                      </section>
                      :
                      <div className="setup-main firstForm">
                        <div className="wp-container">
                          <div className="wp-cont-inner">
                            {full_form_submission_status == 0 ?
                              <section className="Form_Level_1">

                                <form onSubmit={handleSubmit} className="setup-form">
                                  <h1 className="wp-cont-inner-leavel_2-title">Basic Information</h1>
                                  <div className="row form-row">
                                    <div className="col-sm-4 form-group">
                                      <label>Full Name*</label>
                                      <div >
                                        <input
                                          type="text"
                                          className="form-control"
                                          name="name"
                                          placeholder="Type your full name"
                                          value={name}
                                          onChange={(e) => setName(e.target.value)}
                                          required
                                        />
                                      </div>
                                    </div>

                                    <div className="col-sm-4 form-group">
                                      <label>Email Address*</label>
                                      <div >
                                        <input
                                          type="email"
                                          className="form-control"
                                          name="email"
                                          placeholder="Type email address"
                                          value={email}
                                          onChange={(e) => setEmail(e.target.value)}
                                          required
                                        />
                                      </div>
                                    </div>

                                    <div className="col-sm-4 form-group">
                                      <label>Select theme option*</label>
                                      <div >
                                        <select
                                          name="theme"
                                          className="form-select"
                                          value={theme}
                                          onChange={(e) => setTheme(e.target.value)}
                                          required
                                        >
                                          <option value="Select theme">Select theme</option>
                                          <option value="Accelerate">Accelerate Theme</option>
                                          <option value="Momentum">Momentum Theme</option>
                                        </select>
                                      </div>
                                    </div>
                                  </div>
                                  <div className="row form-row mt-3">
                                    <div className="col-sm-4 form-group btn-group">
                                      <button type="submit" className="btn btn-effect">Submit</button>
                                    </div>
                                  </div>
                                </form>
                              </section>
                              : ""}
                            {full_form_submission_status == 1 &&
                              <section className="Form_Level_2">
                                <img src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'Images/clock.gif'); ?>" />
                                <h4>Please Wait for a Short Moment, Our Team is Enhancing Your Website!</h4>
                                <p class="mb-3">We're currently in the process of making important updates to The website to enhance your experience. This should take approximately 15 to 20 minutes. Once the process is completed, you will find the  URL for your plugin setup right here.
                                  Our team is dedicated to ensuring your website is as awesome as it can be. In just a short while, you'll be only two steps away from setting up the plugin and unlocking the full potential of your website.<br /><br />
                                  <b>Thank you for your patience...!</b></p>
                                <div className="setup-form"><button onClick={() => userCheck(domain)} className="btn refresh_btn">Refresh</button></div>
                              </section>
                            }
                            {full_form_submission_status == 2 &&
                              <section className="Form_Level_3">

                                <div className="Form_Level_3_innerbox">
                                  <div className="step-2">
                                    <div className="row form-row">
                                      <div className="col-sm-12 form-group">
                                        <h1 className="wp-cont-inner-leavel_2-title">Plugin Setup Instructions</h1>
                                        <h3 className="frontity_url mb-0">Frontity Server URL: <code>{vercel_url}</code> </h3>
                                      </div>
                                    </div>
                                    <div className="row form-row">
                                      <div className="col-sm-12 form-group">
                                        <div class="wrapper-inner">
                                          <h3>Required Following Plugins:</h3>
                                          <p>#Installation is a three step process: Download → Install → Activate.</p>
                                          <p>1. <b>Download</b> the zip file from here.</p>
                                          <p>2. <b>Install</b> the plugin by uploading it to WordPress.</p>
                                          <p>3. <b>Activate</b> the plugin by locating it in the Plugins list and clicking on ‘Activate’.</p>
                                          <p className="goto-setting">Now go to Setting Menu and click Frontity Embedded Mode Plugin Options and entered URL which you have recieved via Email.</p>

                                          <div className="pluginstall pluginstall-2 my-4">
                                            <div className="plug-box d-flex justify-content-start align-items-center">
                                              <div className="plug-img">
                                                <img src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'Images/embdedded.png'); ?>" alt="plugins" />
                                              </div>
                                              <div className="plug-desc setup-form">
                                                <h3>Embedded Mode</h3>
                                                <a href="https://github.com/frontity/frontity-embedded/archive/refs/heads/master.zip" class="btn btn-effect" target="_blank">Download</a>
                                              </div>
                                            </div>
                                          </div>
                                          <img className="setting-img" src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'Images/bPb1wjgi-image-16-1.png');?>" alt="setting" />
                                          <div className="flyw mt-5 text-center">
                                            <h3 className="d-block">Now check your domain your website is ready to fly! <img width="40px" src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'Images/5doWqUpE-rocket.png');?>" alt="Fly" /></h3>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <div className="step-2">
                                    <div className="setup-form text-end">
                                      <button className="finish_btn btn" variant="none" onClick={() => postDataApi(3)}>Go to Dashboard </button>
                                    </div>
                                  </div>
                                </div>
                              </section>
                            }
                          </div>
                        </div>
                      </div >}
                </div>

              </div>
            </div>
          </div>
        </div>
      );
    };

    ReactDOM.render(<Setup />, document.getElementById('root'));
  </script>


</body>

</html>